Skip to main content
POST
/
business_accounts
/
{business_account_id}
/
templates
/
sync
Sync templates from Meta
curl --request POST \
  --url https://whatsrb.com/api/v1/business_accounts/{business_account_id}/templates/sync \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "meta_template_id": "<string>",
      "name": "<string>",
      "category": "MARKETING",
      "status": "approved",
      "language": "<string>",
      "header_type": "<string>",
      "components": {},
      "variable_examples": {},
      "rejection_reason": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

API key from the WhatsRB dashboard. Format: Bearer wrb_live_xxx

Path Parameters

business_account_id
string
required

Response

OK

data
object[]
meta
object